> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Count delegation roles



## OpenAPI

````yaml get /v1/delegations/{delegationId}/roles/count
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/{delegationId}/roles/count:
    get:
      tags:
        - delegations
      summary: Count delegation roles
      operationId: DelegationController_getRoleCountsByDelegationId_v1
      parameters:
        - name: delegationId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Role count fetch successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DelegationRoleCountResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    DelegationRoleCountResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:50.384Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/DelegationRoleCountResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    DelegationRoleCountResponseDto:
      type: object
      properties:
        roleCount:
          type: number
          example: '5'
          description: Role count by delegation Id
      required:
        - roleCount
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````